Subject: Re: [dns-privacy] DNS queries over CoAP draft at CoRE WG

From: Tim Wicinski <[email-masked]>
Date: Tue, 26 Oct 2021 14:39:35 -0400

Jaime/Marco

Thanks for the heads up!  It looks like CoRE meets on Monday, and DNSOP
meets on Thursday.
So if you do get a request, please let us know and we'll mention it during
the Chairs Slides.

Also, I cc'ed the DPRIVE WG chairs (Brian Haberman, and some slacker named
Tim), because that was the WG
which was involved with the DNS-over-DTLS, and up until now, we have not
seen it ever implemented.

thanks
tim

On Tue, Oct 26, 2021 at 5:24 AM Jaime Jiménez <[email-masked]> wrote:

> Dear DNSOP working group chairs,
>
> The CoRE WG has been working on the following document:
>
> https://datatracker.ietf.org/doc/html/draft-lenders-dns-over-coap-02
>
> As the abstract states: "This document defines a protocol for sending DNS
> messages over the Constrained Application Protocol (CoAP).  These CoAP
> messages are protected by DTLS-Secured CoAP (CoAPS) or Object Security for
> Constrained RESTful Environments (OSCORE) to provide encrypted DNS message
> exchange for constrained devices in the Internet of Things (IoT)."
>
> This is a heads up to let you know that the authors may request Working
> Group Adoption in CoRE during the coming IETF 112. It is also likely that
> during the progress of the document reviews from DNS experts will be
> requested.
>
> Best,
>
> Marco and Jaime, CoRE WG Chairs.
>